.character {
  flex: 0 0 220px;
  border-radius: 2em;
  background-color: #E4E4EF;
  padding: 32px 12px 28px 12px;
  margin: 16px;
  cursor: pointer;
  transition: all 0.3s;
  position: relative;
}

.animating-light {
  width: 32px;
  height: 32px;
  background-color: #fff;
  border-radius: 50%;
  filter: blur(10px);
  position: absolute;
  box-shadow: 0 0 12px 4px rgb(255 255 255 / 28%);
  animation: move-x 12s ease-in-out -2s infinite both, move-y 6s ease-in-out 3s infinite both;
}

.character .animating-light {
  animation-play-state: paused !important;
}

.character:hover {
  transform: scale(1.05);
  box-shadow: 0 0 16px 2px rgb(0 0 0 / 28%);
}

.character-image {
  padding: 4px;
  border: 4px solid transparent;

  border-image: url(~assets/images/characters/character-border.png) 28 / 14;
}

.character:hover .animating-light {
  animation-play-state: running !important;
}

.character-image img {
  /*margin-top: -48px;*/
  margin-left: -12px;
  margin-right: -12px;
  width: 25vw;
  height: auto;
}

.animating-light.delay {
  animation: move-x 12s ease-in-out -4s infinite both, move-y 6s ease-in-out 1s infinite both;
}

@keyframes move-x {
  0% {
    right: 0;
  }
  25% {
    right: 50%;
  }
  50% {
    right: 0;
  }
  75% {
    right: 80%;
  }
  100% {
    right: 0;
  }
}

@keyframes move-y {
  0% {
    top: 0;
  }
  50% {
    top: 80%;
  }
  100% {
    top: 0;
  }
}

.selected-character {
  position: absolute;
  top: -12px;
  left: -12px;
  font-size: 1.75em;
  border: 4px solid #19a719;
  border-radius: 50%;
  width: 48px;
  height: 48px;
  text-align: center;
  background-color: #1dbd1d;
  color: #fff;
  box-shadow: 0 0 8px 4px rgb(29 189 29 / 28%);
  line-height: 44px;
  transition: transform 0.3s;
  transform: scale(0);
  visibility: hidden;
}

.character.selected .selected-character {
  visibility: visible;
  transform: scale(1);
}

.button.download {
  background-color: #1f824c;
  color: #fff;
  border: 2px solid #1f824c;
  box-sizing: border-box;
}

.button.download {
  font-size: 1.042em;
  padding: 0.708em 1.250em;
  border-radius: 2em;
  margin: 0 0.5em;
  border: 0;
  display: inline-block;
  cursor: pointer;
  text-decoration: none;
  font-weight: 600;
  white-space: nowrap;
}

.button.download:hover {
  background-color: #1e9152;
  border-color: #1e9152;
}

.button.download:active {
  background-color: #1a6e40;
  border-color: #1a6e40;
}

